Bug Hunting Session
Bug 84968 - Protect Document/Sheet disables spell checker even for cells that are not protected
Summary: Protect Document/Sheet disables spell checker even for cells that are not pro...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Spell-Checking Sheet
  Show dependency treegraph
 
Reported: 2014-10-13 16:27 UTC by Warren Block
Modified: 2017-07-11 23:26 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Warren Block 2014-10-13 16:27:10 UTC
Enabling sheet protection disables Tools/Spelling, even on cells that are not protected.  The desired behavior would be to spell check all the unprotected cells, even on a protected sheet.  To duplicate:

Create a sheet.
Right-click a cell, choose Format Cells..., Cell Protection, uncheck Protected, choose Okay.
Select Tools/Protect Document/Sheet, do not enter a password, select Okay.
Verify that Tools/Spelling is disabled.

Enter text in the unprotected cell, try to use Tools/Spelling.

Tested on 4.3.2.2 on Windows 7 and 4.2.5.2 on FreeBSD 10-STABLE.
Comment 1 Cor Nouws 2014-10-13 17:34:09 UTC
Hi Warren,

I cannot reproduce this in 4.3.3.1 on Ubuntu.
Are you able to check it there too?
Is it a special document? - pls attach :)
... ?
Maybe it's windows only - dunno.

Thanks for the report!
Cor
Comment 2 Warren Block 2014-10-15 00:16:26 UTC
No, this is not a special sheet.  It can be duplicated starting with a blank sheet as shown in the first message.

I don't have an easy way to test it on Ubuntu.  4.3.3 RC1 still shows the problem on Windows 7.
Comment 3 Buovjaga 2014-11-27 11:24:07 UTC
Reproduced both on Windows and Ubuntu. NEW, lowered severity per https://wiki.documentfoundation.org/images/0/06/Prioritizing_Bugs_Flowchart.jpg

Win 7 64-bit Version: 4.5.0.0.alpha0+
Build ID: b144f0ac8695dd62a2053b4e88212d0b109c9a41
TinderBox: Win-x86@51-TDF, Branch:MASTER, Time: 2014-11-25_00:14:54

Ubuntu 14.10 64-bit Version: 4.5.0.0.alpha0+
Build ID: 6b219f012edbe069c461f4e0746898e33fa1dd49
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2014-11-25_21:56:46
Comment 4 Buovjaga 2015-01-10 19:42:33 UTC
Bug already present in 3.3.0

Ubuntu 14.10 64-bit
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 5 Cor Nouws 2015-01-11 09:48:01 UTC
Ah, now I see this indeed does not work. Sorry.
I used Tool > AutoSpelling and that does work.
Comment 6 QA Administrators 2016-01-17 20:04:28 UTC Comment hidden (obsolete)
Comment 7 Warren Block 2016-01-17 20:33:17 UTC
Yes, this bug still exists.  Tested on LibreOffice 5.0.4 on FreeBSD 10-STABLE amd64.
Comment 8 QA Administrators 2017-03-06 14:25:02 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.5 or 5.3.0  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170306